1MSG

Mark message as read (optional typing)

POST
/readMessage

Mark an inbound message as read. Optionally show the WhatsApp typing indicator (up to ~25 seconds or until the customer replies) by setting typingIndicator: true. Typing cannot be sent without marking the message as read.

Authorization

JWT token
querytoken<token>

Request Body

  1. body
messageId?string

Message ID. Example: 0XzkmGNn4prUAQlzsHApGNRXQ0U

msgId?string

Alias for messageId (either messageId or msgId is required).

typingIndicator?boolean

If true, also show the WhatsApp typing indicator after marking the message as read (max ~25s or until the customer replies).

Defaultfalse

Response Body

Server response example

application/json
  1. response
result?string
curl -X POST 'https://api.1msg.io/123/readMessage' \  -H 'Content-Type: application/json' \  -d '{  "messageId": "wamid.HBgLdemo-text-001",  "typingIndicator": true}'
{  "result": "success"}